/*
 *  DataStore.h
 *  lottery-iphone
 *
 *  Created by 木谷 公哉 on 09/08/05.
 *  Copyright 2009 京都大学東南アジア研究センター. All rights reserved.
 *
 *  [0.6] 2009.08.05
 */

// シミュレータ
//~/Library/Application Support/iPhone Simulator/User/Applications/(インストールする度に変わる文字列)/Library/Preferences/(Bundle Identifier).plist
// 実機
// /var/mobile/Applications/(インストールする度に変わる文字列)/Library/Preferences/(Bundle Identifier).plist

// 汎用的なデータストア
- (void) DataStore: (NSArray *)data store:(NSString *)store
{
	//dataはNSMutableArrayでもよし。保存するので、NSArrayのように可変できないようにしておくのが一般的かな。
	// http://blogs.dion.ne.jp/fujidana/archives/1804941.html

	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];

	// 保存先へのアクセス。	
	[defaults setObject:data forKey:store]; // 保存
}

// 汎用的なデータリストア
- (NSArray *) DataRestore: (NSString *)store
{
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	NSMutableArray *array = [NSMutableArray array]; 
	// 保存先へのアクセス。	// flag == 0 記録無し
	// NSColorなどはの場合には、http://stackoverflow.com/questions/537044/storing-custom-objects-in-an-nsmutablearray-in-nsuserdefaultsの
	// のようにNSDataを使わねばならない。
	array = [defaults objectForKey:store]; // 保存

	return array;
}

// 削除 0.61: 2009.08.14 (何もせずアプリ終了したら自動的に保存した設定ファイルを削除）
- (void) DataRemove: (NSString *)store
{
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];

	[defaults removeObjectForKey:store]; // 保存

}